Crazy Eddies GUI System: CEGUI::DefaultLogger Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
CEGUI::DefaultLogger Class Reference

Default implementation for the Logger class. If you want to redirect CEGUI logs to some place other than a text file, implement your own Logger implementation and create a object of the Logger type before creating the CEGUI::System singleton. More...

Inheritance diagram for CEGUI::DefaultLogger:
[legend]
Collaboration diagram for CEGUI::DefaultLogger:
[legend]

List of all members.

## Public Member Functions
| DefaultLogger (void)
| Constructor for DefaultLogger object.
virtual | ~DefaultLogger (void)
| Destructor for DefaultLogger object.
virtual void | logEvent (const String &message, LoggingLevel level=Standard)
| Add an event to the log.
virtual void | setLogFilename (const String &filename, bool append=false)
| Set the name of the log file where all subsequent log entries should be written.
## Protected Attributes
std::ofstream | d_ostream
| Stream used to implement the logger.
std::vector< std::pair< String, LoggingLevel > > | d_cache
| Used to cache log entries before log file is created.
std::ostringstream | d_workstream
| Used to build log entry strings.
bool | d_caching
| true while log entries are beign cached (prior to logfile creation)

## Detailed Description

Default implementation for the Logger class. If you want to redirect CEGUI logs to some place other than a text file, implement your own Logger implementation and create a object of the Logger type before creating the CEGUI::System singleton.

## Member Function Documentation

virtual void CEGUI::DefaultLogger::logEvent | ( | const String & | message,
|  | LoggingLevel | level = `Standard`
| ) |  | `[virtual]`

Add an event to the log.

Parameters:

  message | String object containing the message to be added to the event log.
  level | LoggingLevel for this message. If level is greater than the current set logging level, the message is not logged.

Returns:
  Nothing

Implements CEGUI::Logger.

virtual void CEGUI::DefaultLogger::setLogFilename | ( | const String & | filename,
|  | bool | append = `false`
| ) |  | `[virtual]`

Set the name of the log file where all subsequent log entries should be written.

Note:
  When this is called, and the log file is created, any cached log entries are flushed to the log file.

Parameters:

  filename | Name of the file to put log messages.
  append | true if events should be added to the end of the current file. false if the current contents of the file should be discarded.

Implements CEGUI::Logger.